# Changelog

All notable changes to this project will be documented in this file.

## [22.4.0] - 2022-07-18

## Added
* smoketest for openvas-nasl-lint (#1125) [0122d0d6](https://github.com/greenbone/openvas-scanner/commit/0122d0d6)
* authenticator for gcm/ccm en- and decryption [ad75ffe1](https://github.com/greenbone/openvas-scanner/commit/ad75ffe1)
* openvas-nasl-lint informs about include error on function calls [6e3a09ff](https://github.com/greenbone/openvas-scanner/commit/6e3a09ff)
* smb_cmac_aes_signature, smb_gmac_aes_signature [45d777c5](https://github.com/greenbone/openvas-scanner/commit/45d777c5)
* aes_mac_gcm for SMBv3.1.1 [b09e301e](https://github.com/greenbone/openvas-scanner/commit/b09e301e)
* SHA512 [09e7f95d](https://github.com/greenbone/openvas-scanner/commit/09e7f95d)
* aes-256 ccm and gcm algorithm for en- and decryption [27a36a49](https://github.com/greenbone/openvas-scanner/commit/27a36a49)
* support for MAC_CMAC_AES (AES-128/192/256-CMAC) hash function [1574628a](https://github.com/greenbone/openvas-scanner/commit/1574628a)
* SMB3KDF for SMB3 support [b42420d7](https://github.com/greenbone/openvas-scanner/commit/b42420d7)
* aes128-gcm decryption [b7fb98aa](https://github.com/greenbone/openvas-scanner/commit/b7fb98aa)
* aes128-CCM en- and decryption [a3dd09a7](https://github.com/greenbone/openvas-scanner/commit/a3dd09a7)
* possibility to fallback to LEGACY:%COMPAT:%UNSAFE_RENEGOTIATION [57a1fd65](https://github.com/greenbone/openvas-scanner/commit/57a1fd65)
* support for nasl snmp getnext (#1047) [0bbf0470](https://github.com/greenbone/openvas-scanner/commit/0bbf0470)
* Warning on nasl_send when UDP payload may too large and get_mtu [e64e5f6d](https://github.com/greenbone/openvas-scanner/commit/e64e5f6d)
* Extend nasl_ssh_shell_read() (#964) [be5a0af8](https://github.com/greenbone/openvas-scanner/commit/be5a0af8)
* Add nasl function nasl_send_arp_request().  (#939) [d1a7c6bf](https://github.com/greenbone/openvas-scanner/commit/d1a7c6bf)
* wait for notus to finish (#917) [4abc01f7](https://github.com/greenbone/openvas-scanner/commit/4abc01f7)
* Add function to get the local mac address (#922) [b85698bd](https://github.com/greenbone/openvas-scanner/commit/b85698bd)
* Notus integration (#903) [5343d87b](https://github.com/greenbone/openvas-scanner/commit/5343d87b)
* Add nasl functions for checking ssl/tls secure renegotiation and performing re-handshake. (#889) [641ab331](https://github.com/greenbone/openvas-scanner/commit/641ab331)

## Removed
* wincmd (winexe) dependency (#1074) [1c4bcf7b](https://github.com/greenbone/openvas-scanner/commit/1c4bcf7b)
* remove MD5 support from feed integrity check (#1059) [893c2b2e](https://github.com/greenbone/openvas-scanner/commit/893c2b2e)

## Changed
* smb_gmac_aes_signature add IV [d1fd8807](https://github.com/greenbone/openvas-scanner/commit/d1fd8807)
* encrypt functin can also decrypt [66d59377](https://github.com/greenbone/openvas-scanner/commit/66d59377)
* extend nasl_wmi_connect*() functions. (#1073) [fc0f08b3](https://github.com/greenbone/openvas-scanner/commit/fc0f08b3)
* nasl linter error count message (#1060) [46b3c2c1](https://github.com/greenbone/openvas-scanner/commit/46b3c2c1)
* Use sha256sum instead of md5 for checks (#1056) [d19c7e2e](https://github.com/greenbone/openvas-scanner/commit/d19c7e2e)
* consider a malformed regex as a nasl parse error for built-in RE_MATCH and RE_NOMATCH (#1057) [986f2c67](https://github.com/greenbone/openvas-scanner/commit/986f2c67)
* Check for malloc_trim() support. (#1054) [b8d22c4b](https://github.com/greenbone/openvas-scanner/commit/b8d22c4b)
* extended the nasl functions ereg(), egrep(), eregmatch(). (#1044) [30915be8](https://github.com/greenbone/openvas-scanner/commit/30915be8)
* support error recovery during nasl parsing (#1042) [b55ffd58](https://github.com/greenbone/openvas-scanner/commit/b55ffd58)
* remove unnecessary variable in nasl/CMakeLists.txt (#1045) [28724866](https://github.com/greenbone/openvas-scanner/commit/28724866)
* handle Fatal alert during handshake. (#1035) [21680c31](https://github.com/greenbone/openvas-scanner/commit/21680c31)
* Don't wrap-up the scan. (#1030) [f1e8f208](https://github.com/greenbone/openvas-scanner/commit/f1e8f208)
* key for notus package list [a3302f4d](https://github.com/greenbone/openvas-scanner/commit/a3302f4d)
* extend cert_query() nasl function to get the public key algorithm (#995) [9b1925b4](https://github.com/greenbone/openvas-scanner/commit/9b1925b4)
* Only log SSL/TLS failure once per script [dfe74735](https://github.com/greenbone/openvas-scanner/commit/dfe74735)
* Make OPENVAS_ENCAPS_TLSv13 visible for nasl scripts (#914) [315ea401](https://github.com/greenbone/openvas-scanner/commit/315ea401)
* Update digest algo OID to string mapping [95e8eef6](https://github.com/greenbone/openvas-scanner/commit/95e8eef6)
* Instead of using g_memdup2 set deprecation for it as warning [824238ac](https://github.com/greenbone/openvas-scanner/commit/824238ac)

## Bug Fixes
* result len of aes{128,256}_gcm_{encrypt,decrypt}_auth [0736d6ce](https://github.com/greenbone/openvas-scanner/commit/0736d6ce)
* segmentation fault in md4 calculation (#1135) [aa3655e6](https://github.com/greenbone/openvas-scanner/commit/aa3655e6)
* segmentation fault and false positive on empty function body (#1102) [776a0cdf](https://github.com/greenbone/openvas-scanner/commit/776a0cdf)
* smb3kdf buffer [a42c77be](https://github.com/greenbone/openvas-scanner/commit/a42c77be)
* smb3kdf set the correct size [6773b166](https://github.com/greenbone/openvas-scanner/commit/6773b166)
* crypt_data set the correct size [24bb5b46](https://github.com/greenbone/openvas-scanner/commit/24bb5b46)
* nasl lint error count [a04e2205](https://github.com/greenbone/openvas-scanner/commit/a04e2205)
* enable notus only if mqtt is enabled (#1095) [329d58b9](https://github.com/greenbone/openvas-scanner/commit/329d58b9)
* case sensitive linting (#1079) [2481d172](https://github.com/greenbone/openvas-scanner/commit/2481d172)
* script_mandatory_keys usage (#1067) [06ce7976](https://github.com/greenbone/openvas-scanner/commit/06ce7976)
* sigsegv backtrace log (#1048) [72a1981a](https://github.com/greenbone/openvas-scanner/commit/72a1981a)
* starting notus-scanner after stop-scan (#1031) [0e483c54](https://github.com/greenbone/openvas-scanner/commit/0e483c54)
* Check 'reader' for NULL before trying to unreference it during cleanup (#997) [0e7d2f3e](https://github.com/greenbone/openvas-scanner/commit/0e7d2f3e)
* Handle string encoding converison fail (#996) [15f04b48](https://github.com/greenbone/openvas-scanner/commit/15f04b48)
* Fixing `isotime_add` and add zero padding for `isotime` [#919] [e7f4daf1](https://github.com/greenbone/openvas-scanner/commit/e7f4daf1)
* security check that open is called basedd on previous lstat check [90521724](https://github.com/greenbone/openvas-scanner/commit/90521724)

[22.4.0]: https://github.com/greenbone/openvas-scanner/compare/22.4.0...22.4.0